import datetime,os


def specify_device(algorithm_params,logger):
    """
    Args:
        algorithm_params:算法参数，先检查gpus参数，有就按这个参数，gpus为空表示使用CPU；没有就看_instance_no，
                        gpus的默认值是-1，表示退化到，按照_instance_no去配置
        logger:日志对象

    Returns:
    """
    if "gpus" in algorithm_params:
        if str(algorithm_params["gpus"])!="-1":
            os.environ["CUDA_VISIBLE_DEVICES"] = str(algorithm_params["gpus"])
            logger.info("通过参数gpus={}指定设备完成".format(algorithm_params["gpus"]))
            return
    if "_instance_no" in algorithm_params:
        os.environ["CUDA_VISIBLE_DEVICES"] = str(algorithm_params["_instance_no"])
        logger.info("通过参数_instance_no={}指定设备完成".format(algorithm_params["_instance_no"]))
        return
    logger.info("本次未通过参数指定设备，因为没有gpus或_instance_no%s" % datetime.datetime.now())

